// JavaScript Document

/* Fonction JQuery "Color Picker" */

function init_colorpicker() {
    $('#colorpicker').farbtastic('#couleur');
}

function update_couleur() {
    var val_color_hex = $("#couleur").val();
    $('#couleur_display').css("backgroundColor", val_color_hex);
}

function reset_couleur() {
    var val_color_hex = $("#couleur_init").val();
    var $couleur = $('#couleur');
    $couleur.val(val_color_hex);
    $couleur.css("backgroundColor", val_color_hex);
    $('#couleur_display').css("backgroundColor", val_color_hex);
}

function display_colorpicker() {
    $("#couleur_display").click(function () {
        $('#boxpicker').fadeIn(500);
    });
}

function close_colorpicker() {
    $("#colorpicker_close").click(function () {
        reset_couleur();
        $('#boxpicker').fadeOut(500);
    });
}

function valid_colorpicker() {
    $("#colorpicker_valid").click(function () {
        update_couleur();
        $('#boxpicker').fadeOut(500);
    });
}
